# $Revision: 1.9.2.4 $, $Date: 2003/06/30 12:14:34 $
Summary:	A traceroute implementation using TCP packets
Summary(pl):	Implementacja traceroute uywajca pakietw TCP
Summary(uk):	tcptraceroute -  ̦æ traceroute   TCP Ԧ
Summary(ru):	tcptraceroute -   traceroute   TCP 
Name:		tcptraceroute
Version:	1.4
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	http://michael.toren.net/code/tcptraceroute/%{name}-%{version}.tar.gz
# Source0-md5:	35c5e7d960f2b073db0109e0004e134e
Patch0:		%{name}-setuid.patch
URL:		http://michael.toren.net/code/tcptraceroute/
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The more traditional traceroute(8) sends out either UDP or ICMP ECHO
packets with a TTL of one, and increments the TTL until the
destination has been reached. By printing the gateways that generate
ICMP time exceeded messages along the way, it is able to determine the
path packets are taking to reach the destination. It is a very useful
network diagnostic tool.

The problem is that with the widespread use of firewalls on the modern
Internet, many of the packets that traceroute(8) sends out end up
being filtered, making it impossible to completely trace the path to
the destination. However, in many cases, these firewalls will permit
inbound TCP packets to specific ports that hosts sitting behind the
firewall are listening for connections on. By sending out TCP SYN
packets instead of UDP or ICMP ECHO packets, tcptraceroute is able to
bypass the most common firewall filters.

%description -l pl
Bardziej tradycyjne traceroute(8) wysyaj pakiety UDP lub ICMP ECHO z
TTL rwnym jeden, i zwikszaj TTL do osignicia celu. Wypisujc
bramki po drodze generujce komunikaty ICMP time exceeded, umoliwiaj
okrelenie drogi pakietw. S to bardzo przydatne narzdzia do
diagnostyki sieci.

Problemem jest rozpowszechnienie firewalli we wspczesnym Internecie,
wiele pakietw wysyanych przez traceroute(8) jest filtrowana,
uniemoliwiajc cakowite przeledzenie drogi do celu. Jednak w wielu
przypadkach, te firewalle przepuszczaj przychodzce pakiety TCP na
okrelone porty, na ktrych suchaj maszyny za firewallem. Poprzez
wysynie pakietw TCP SYN zamiast UDP czy ICMP ECHO, tcptraceroute
moe omin wikszo firewalli filtrujcych.

%description -l uk
 ,  tcptraceroute  TCP SYN  ͦ UDP
 ICMP ECHO Ԧ, צ    ¦ 
Φ Ʀ ͦ Φ (firewalls).

%description -l ru
 ,  tcptraceroute  TCP SYN   UDP
 ICMP ECHO ,      
    (firewalls).

%prep
%setup -q
%patch -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d  $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install %{name} $RPM_BUILD_ROOT%{_sbindir}
install %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog examples.txt README
%attr(4754,root,adm) %{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcptraceroute.spec,v $
Revision 1.9.2.4  2003/06/30 12:14:34  blues
- md5

Revision 1.9.2.3  2003/06/30 12:11:39  misi3k
- s/pld.linux.org/pld-linux.org/

Revision 1.9.2.2  2003/06/30 12:07:57  blues
- cosmetics

Revision 1.9.2.1  2003/06/30 11:52:52  misi3k
- rel 2
- added security patch
BUG(securitytracker):
A potential security issue was reported in tcptraceroute.  The
application fails to drop its privileges.

Revision 1.9  2002/09/05 23:15:50  undefine
- translations from uk/ru from KSI

Revision 1.8  2002/09/05 22:59:37  undefine
- updated to 1.4
- new %doc

Revision 1.7  2002/05/20 10:02:48  pioklo
- up to 1.3,STBR

Revision 1.6  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:15:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/19 10:18:27  qboosh
- pl translations, cosmetics; release 2

Revision 1.2  2001/08/13 14:23:13  kloczek
- cosmetics.

Revision 1.1  2001/08/13 09:24:05  mis
- new from scratch
